# Method SSL.Session()->generate_keys()

Method generate_keys

  ``array`(`string(8bit)`) generate_keys(`string(8bit)` `client_random`, `string(8bit)` `server_random`, `ProtocolVersion` `version`)`

Description

  Generates keys appropriate for the SSL version given in `version`, based on the `client_random` and `server_random`.

Returns

  Array
  ``string` `0`` | Client write MAC secret
  ``string` `1`` | Server write MAC secret
  ``string` `2`` | Client write key
  ``string` `3`` | Server write key
  ``string` `4`` | Client write IV
  ``string` `5`` | Server write IV